Khronos: Vulkan Multi-GPU is niet aan Windows 10 gebonden

30 reacties

Khronos heeft vandaag in een nieuwsbericht kenbaar gemaakt dat de Multi-GPU-ondersteuning in de Vulkan-API niet aan Windows 10 gebonden is. Eerder was op GDC 2017 onduidelijkheid ontstaan nadat er een aantal nieuwe existenties aan Vulkan waren toegevoegd. De verwarring ontstond nadat een aantal slides op GDC de Windows Display Driver Model hadden vermeld.

Een aantal journalisten had vervolgens aangenomen dat WDDM 2.0, het driver model wat enkel op Windows 10 draait, vereist was voor de linked display adapter-modes. Deze LDA-modes kan gebruikt worden wanneer meerdere GPU's identiek zijn, zoals in de meeste crossfire- en SLI-opstellingen. Een gamedeveloper hoeft dan vervolgens geen moeite te stoppen in het optimaliseren van een aantal low-level zaken.

Uit de statement die Khronos nu heeft vrijgegeven blijkt dat deze LDA-mode ook gewoon werkt op oudere versies van Windows, namelijk waaronder Windows 7 en Windows 8.x. Ook geeft de organisatie Vulkan Multi-GPU ook gewoon op Linux zal werken en dat WDDM niet benodigd is.

Apple handhaaft ondertussen een strenge boycot van Vulkan. Het bedrijf staat niet toe dat de Vulkan API überhaupt in drivers zitten die het bedrijf op zijn apparaten gebruikt. Hiermee ondersteund Apple als enige de standaard niet op zijn desktop-OS.

De verwarrende slide uit de GDC-presentatie

Bronnen: Khronos, PC Perspective

« Vorig bericht Volgend bericht »
0